Google’s Incorrect WordPress Upgrade Warning

When using Google’s Webmaster Tools, I saw a message to me, saying

Dear site owner or webmaster of http://mydomain.com/,

Your site appears to be running an older version of WordPress. Google recommends that you update to the latest release. Older or unpatched software may be vulnerable to hacking or malware that can hurt your users. To download the latest release, visit the WordPress download page.

If you have any additional questions about why you are receiving this message, Google has provided more background information in a blog post about this subject.

Best wishes,

Google Search Quality Team

I rushed to check my WordPress version, it is already WordPress 3.1.3, the latest official release.  And the Google message date is June 18th, 2011. I do appreciate Google’s effort in helping us to secure our sites, but this time, it is a false alarm. We just hope that they figure out what went wrong in their checking system.

I was guessing that it could be my caching system, but I check Google cached copy of my site on June 16th, 2011, the source code already reveals that we were using WordPress 3.1.3. This reminds me that we may need to hide the

meta name=”generator” content=”WordPress 3.1.3″

in our header.

Another thing I found is that I didn’t get the upgrade warming message for other three WordPress sites but my other one site got the same incorrect warming about the upgrade.

Leave a Reply

Your email address will not be published. Required fields are marked *

Subscribe to WP89 Tutorials
Artisteer - Wordpress Theme Generator Hosting logo